=== debian/changelog ===
magnum (6.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-lower-kubernetesclient.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 17:48:34 -0500

magnum (6.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-move-to-docker-2.0.0.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/use-lower-kubernetesclient.patch: Rebased and renamed. Updated to
    use python-kubernetes >= 1.0.0.
  * d/control: Add lsb-release for d/revert-move-to-docker-2.0.0.patch.
  * d/rules, d/magnum-common.postinst.in, d/magnum-common.install: Drop
    policy.json in line with upstream policy in code, and update config
    file install.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:09:33 -0500
