=== debian/tests/control ===
Tests: python-magnum magnum-daemons
Depends: python-magnum, magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root
