## magnum 6.1.1

=== debian/changelog ===
magnum (6.1.1-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 10:56:08 -0400

magnum (6.1.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/*: Add Python 3 daemon tests and Python 2/3 shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jun 2018 16:51:53 -0400

magnum (6.1.0-0ubuntu2) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-magnum package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      magnum-common depends on python-magnum by default and python3-magnum
      as alternative. magnum-api does the same for python-openstackclient.
    - d/control: Drop ${python3:Depends} from magnum-* binary packages
      as it's covered in python3-magnum.
    - d/control: move python(3)-openstackclient dependency from magnum-api
      Depends to python(3)-magnum Depends.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-magnum.post*, d/python(3)-magnum.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-magnum.install: Dropped. Not needed.
    - d/tests/magnum-daemons: Add autopkgtests for magnum daemons.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 15:04:40 -0400
