=== debian/changelog ===
magnum (7.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Aug 2018 12:45:02 +0000

magnum (7.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests-py3.patch: Skip failing Py3 tests.
  * Additional support for Python 3:
    - d/control: Drop python(3)-magnum conflicts on each other.
    - d/python(3)-magnum.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 11:25:37 -0400
