## magnum 7.1.0

=== requirements.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
+python-octaviaclient>=1.6.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
 six>=1.10.0 # MIT
