=== debian/changelog ===
magnum (7.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix dependencies for new version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 12:23:21 +0100

magnum (7.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 90
  * Add debconf config
  * Fix fix-py3-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Jan 2019 11:23:27 +0100

magnum (7.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump openstack-pkg-tools to 89
      - Bump openstack-pkg-tools to 89
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/patches: Add fix-py3-compatibility.patch (Closes: #914108)
  * d/patches: Fix install-missing-files.patch (Closes: #914107)
  * d/python3-magnum.lintian-overrides:
      - shell-script-fails-syntax-check - False positive
      - python-script-but-no-python-dep - False positive
      - script-not-executable - False positive
      - Above shell and python scripts are not used in debian,
        they are used inside provisioned instances which are
        currently using python2.7.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 19 Nov 2018 16:42:07 +0100

magnum (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:49:32 +0200

magnum (7.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist 2 unit tests:
    - drivers.test_heat_driver.TestHeatPoller.test_poll_done()
    - drivers.test_heat_driver.TestHeatPoller.test_poll_destroy()

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:03:45 +0200
