## magnum 8.0.0~b1~git2019013021.60f97993

=== debian/changelog ===
magnum (8.0.0~b1~git2019013021.60f97993-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:35:59 +0000

magnum (8.0.0~b1~git2018111913.b0e114d9-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/p/skip-tests-py3.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:30 -0500
