=== debian/changelog ===
magnum (8.0.0~b1~git2019031833.13e8c11f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:54:36 +0000
